io.vertx.rxjava.ext.shell.registry

## Class CommandRegistration

- java.lang.Object
- - io.vertx.rxjava.ext.shell.registry.CommandRegistration

-     public class CommandRegistration
      extends Object

  A registration of a command in the `CommandRegistry`

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandRegistration(CommandRegistration delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Command` | `command()`
    `void` | `complete(Completion completion)` Complete the command for the given completion.
    `Process` | `createProcess(List<CliToken> args)` Create a new process with the passed arguments.
    `Object` | `getDelegate()`
    `static CommandRegistration` | `newInstance(CommandRegistration arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandRegistration

          public CommandRegistration(CommandRegistration delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### command

          public Command command()

      Returns:
        the registered command.

    - #### complete

          public void complete(Completion completion)

      Complete the command for the given completion.
      Parameters:
        `completion` - the completion

    - #### createProcess

          public Process createProcess(List<CliToken> args)

      Create a new process with the passed arguments.
      Parameters:
        `args` - the process arguments
      Returns:
        the process

    - #### newInstance

          public static CommandRegistration newInstance(CommandRegistration arg)

Copyright © 2015. All rights reserved.